<script context="module">
	import { MAIN } from "../../constants.js";

	export async function preload({ params, query }) {
		const res = await this.fetch(`${MAIN}organizations`);
		const organizations = await res.json();
		return { organizations };
	}
</script>

<script>
	export let organizations;
</script>

<style>
	ul {
		margin: 0 0 1em 0;
		line-height: 1.5;
	}
</style>

<svelte:head>
	<title>Blog</title>
</svelte:head>

<h1>Organizations</h1>

<ul>
	{#each organizations as organization}
		<!-- we're using the non-standard `rel=prefetch` attribute to
				tell Sapper to load the data for the page as soon as
				the user hovers over the link or taps it, instead of
				waiting for the 'click' event -->
		<li>
			<a rel="prefetch" href="organizations/{organization.reg_num}">
				{organization.company_name}
			</a>
		</li>
	{/each}
</ul>
